Lock a read-write lock for reading.

- « Swoole\Lock::__destruct

- Swoole\Lock::lock »

- PHP Manual
- Swoole\Lock
- Lock a read-write lock for reading.

# Swoole\Lock::lock_read

(PECL swoole >= 1.9.0)

Swoole\Lock::lock_read — Lock a read-write lock for reading.

### Description

public Swoole\Lock::lock_read(): void

Lock a read-write lock for reading.

### Parameters

This function has no parameters.

### Return Values